summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNeilBrown <neilb@suse.de>2013-06-24 15:57:58 +1000
committerNeilBrown <neilb@suse.de>2013-06-24 15:57:58 +1000
commit35698c6e91e7755bbe520ca2adc79b3aa32ca9af (patch)
tree33797f111bf5107609a68139dd42277af19dc037
parent9ccfd3be3089fef5d795bc3e6d39ac2c1c880009 (diff)
tests: add test for converting levels to raid0 and back.
Now that I have this mostly working, I should make sure it doesn't break... Signed-off-by: NeilBrown <neilb@suse.de>
-rwxr-xr-xtest4
-rw-r--r--tests/05r6tor022
2 files changed, 26 insertions, 0 deletions
diff --git a/test b/test
index 1792e1d5..76d410f6 100755
--- a/test
+++ b/test
@@ -138,6 +138,10 @@ check() {
grep -s "active $1 " /proc/mdstat > /dev/null || {
echo >&2 "ERROR active $1 not found" ; cat /proc/mdstat ; exit 1;}
;;
+ algorithm )
+ grep -s " algorithm $2 " /proc/mdstat > /dev/null || {
+ echo >&2 "ERROR algorithm $2 not found"; cat /proc/mdstat; exit 1;}
+ ;;
resync | recovery | reshape)
sleep 0.5
grep -s $1 /proc/mdstat > /dev/null || {
diff --git a/tests/05r6tor0 b/tests/05r6tor0
new file mode 100644
index 00000000..a22b216f
--- /dev/null
+++ b/tests/05r6tor0
@@ -0,0 +1,22 @@
+set -x -e
+
+# reshape a RAID6 to RAID5 and then RAID0.
+# then reshape back up to RAID5 and RAID5
+
+mdadm -CR $md0 -l6 -n5 $dev0 $dev1 $dev2 $dev3 $dev4
+check wait
+check raid6
+mdadm -G $md0 -l5
+check wait
+check raid5
+mdadm -G $md0 -l0
+check wait
+check raid0
+mdadm -G $md0 -l5 --add $dev3 $dev4
+check wait
+check raid5
+check algorithm 2
+mdadm -G $md0 -l 6
+check wait
+check raid6
+check algorithm 2